!----------------------------------------------------------------------------------------------------------------------------------!
FUNCTION src_func(x)
!----------------------------------------------------------------------------------------------------------------------------------!

!===purpose===! 

!**********************************************************************************************************************************!
!*******************************************  Source function for 3D Poisson equation  ********************************************!
!**********************************************************************************************************************************!

!*** Developer: Sylvain Nintcheu Fata, Oak Ridge National Laboratory
!*** Version:   V.1.0
!*** Released:  May 28, 2011


USE KINDS


IMPLICIT NONE

 real(kind=dp), intent(in) :: x(3)
 real(kind=dp) :: src_func



    src_func = -(2.0_dp*x(2)*x(2)*x(2) + 6.0_dp*x(2))*dexp(x(1)+x(3)) ! src_func == Source function evaluated at x

!----------------------------------------------------------------------------------------------------------------------------------!    
END FUNCTION src_func
!----------------------------------------------------------------------------------------------------------------------------------!  


